import path from 'path';

export default function(settings) {
	let ansi = settings.ansi;
	console.log(`${settings.program_name}, ${settings.version}
${ansi.locol}By Starbeamrainbowlabs${ansi.reset}

${ansi.hicol}This program ${settings.description}.${ansi.reset}

${ansi.fblue}${ansi.hicol}Usage:${ansi.reset}
    node --experimental-modules ${path.relative(process.cwd(), process.argv[1])} {subcommand} {options}

${ansi.fblue}${ansi.hicol}Subcommands:${ansi.reset}
    ${ansi.fyellow}ttn-app-server${ansi.reset}    Starts the thing network application server
    ${ansi.fyellow}process-data${ansi.reset}      Consolidates collected data from the IoT device and the TTN app server
    ${ansi.fyellow}train-ai${ansi.reset}          Trains the AI on the consolidated data
    ${ansi.fyellow}serve-map${ansi.reset}         Serves the final output map using the trained AI

${ansi.fblue}${ansi.hicol}Options:${ansi.reset}
    ${ansi.fyellow}-h	--help		${ansi.reset}Show this message
    ${ansi.fyellow}-v	--version	${ansi.reset}Show the version of this program

${ansi.fblue}${ansi.hicol}Environment Variables:${ansi.reset}
    (none yet)
`);
};
